//
//  EOEntityAdditions.java
//  WOGroovy
//

package wogroovy.additions;

import com.webobjects.foundation.*;
import com.webobjects.eoaccess.*;
import com.webobjects.eocontrol.*;
import er.extensions.*;

public class EOEntityAdditions {

    //
    // accessing
    //

    public static NSArray allSubEntities(EOEntity self,
                                         boolean includeAbstracts) {
        return ERXUtilities.allSubEntitiesForEntity(self, includeAbstracts);
    }

    public static EOEntity rootParentEntity(EOEntity self) {
        return ERXUtilities.rootParentEntityForEntity(self);
    }

}
